﻿using System;
using System.Collections.Generic;
using Leo.JqueryGrid.Web.Models;
using Leo.JqueryGrid.Web.Services.Interfaces;

namespace Leo.JqueryGrid.Web.Services.Fake
{
    public class ProductPriceService : FakeServiceBase, IProductPriceService
    {
        public List<ProductPrice> GetPrices(int count)
        {
            var prices = new List<ProductPrice>();
            for (var i = 0; i < count; i++)
            {
                var price = new ProductPrice();
                price.ID = i + 1;
                price.ProductName = "Product - " + Guid.NewGuid();
                price.Price = new decimal(this.Random.Next(1000, 9000)*0.01);
                price.Difference = new decimal(this.Random.Next(-200, 300)*0.01);
                prices.Add(price);
            }
            return prices;
        }
    }
}